package com.getbubblenow.android.model;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

public class NetworkStatus {

    @SerializedName("account")
    @Expose
    private String account;
    @SerializedName("network")
    @Expose
    private String network;
    @SerializedName("pattern")
    @Expose
    private String pattern;
    @SerializedName("match")
    @Expose
    private String match;
    @SerializedName("percent")
    @Expose
    private long percent;
    @SerializedName("messageKey")
    @Expose
    private String messageKey;
    @SerializedName("details")
    @Expose
    private String details;

    public String getPattern() {
        return pattern;
    }

    public void setPattern(final String pattern) {
        this.pattern = pattern;
    }

    public String getMatch() {
        return match;
    }

    public void setMatch(final String match) {
        this.match = match;
    }

    public String getDetails() {
        return details;
    }

    public void setDetails(final String details) {
        this.details = details;
    }

    public String getAccount() {
        return account;
    }
    public void setAccount(final String account) {
        this.account = account;
    }
    public String getNetwork() {
        return network;
    }
    public void setNetwork(final String network) {
        this.network = network;
    }
    public long getPercent() {
        return percent;
    }
    public void setPercent(final long percent) {
        this.percent = percent;
    }
    public String getMessageKey() {
        return messageKey;
    }
    public void setMessageKey(final String messageKey) {
        this.messageKey = messageKey;
    }
}
